<template>
  <div style="
    position: absolute; 
    z-index: 2; 
    text-align: left; 
    background-color: white; 
    left: 0px; 
    right: 0px; 
    bottom: 0; 
    top: 0;
    "
  >

    <div class="header">Новый заказ</div>
    
    <div v-if="isTipOpen" class="tip">
      Выполните авторизацию, чтобы разместить заказ
      <div @click="$emit('tipClosed')" :style="`background-image: url(${require('@/assets/img/cross.svg')})`" class="cross-icon">
      </div>
    </div>

    <div :style="`background-image: url(${require('@/assets/img/next.svg')})`" @click="$emit('address')" class="credential-tab">
      <span v-if="mainAddress">{{ mainAddress.description }}, {{ mainAddress.name }} </span>
      <span v-else>Адрес доставки</span>
    </div>

    <div :style="`background-image: url(${require('@/assets/img/next.svg')})`" @click="$emit('shopsList')" class="credential-tab">
      <span v-if="selectedShop">{{ selectedShop.store_name }}</span>
      <span v-else>Магазин</span>
    </div>
    
    <div :style="`background-image: url(${require('@/assets/img/next.svg')})`" @click="$emit('goodsList')" class="credential-tab">
      <span v-if="basketSize > 0">{{ basketSize }} товаров, стоимость {{ basketSum }}₸</span>
      <span v-else>Список товаров</span>
    </div>
    
    <div :style="`background-image: url(${require('@/assets/img/next.svg')})`" @click="$emit('card')" class="credential-tab">
      <span v-if="mainCard">{{ mainCard.card_mask.slice(-4) }}</span>
      <span v-else>Способ оплаты</span>
    </div>

    <div @click="mainButtonHandler($event)" class="button">
      <span style="pointer-events: none;">Подтвердить оплату</span>
    </div>

    <!-- <div class="save-in-history">Временно сохранить в историю</div> -->

  </div>
</template>

<script>
import {createRipple} from "@/utils/animations.js";
import {mapGetters} from 'vuex';

export default {
  props: {
    isAuth: Boolean,
    shopName: String,
    basketSize: Number,
    basketSum: String,
    isTipOpen: Boolean
  },

  methods: {
    createRipple,

    mainButtonHandler(event) {
      this.createRipple(event); 
      setTimeout(() => {
        this.isAuth === false ? this.$emit('auth') : this.$emit('accept');
      }, 200);
    }
  },
  computed: {
    ...mapGetters(['mainAddress', 'mainCard', 'selectedShop']),
    formatCard() {
      if (!this.mainCard) return;
      return this.mainCard.id.slice(-4);
    }
  }
}
</script>

<style>
  .header {
    text-align: center; 
    padding: 57px 10px 25px 10px;
    background-color: #f5f5f5;
  }

  .button {
    position: relative;
    overflow: hidden;
    transition: background 400ms;
    border-radius: 5px;
    padding: 20px 20px; 
    text-align: center; 
    background-color: #f9fafb; 
    cursor: pointer;
    margin-top: 20px;
    margin-right: 10px;
    margin-left: 10px;
  }

  .credential-tab {
    position: relative; 
    border-bottom: 1px solid #f5eaea; 
    padding: 20px 20px;
    background-repeat: no-repeat;
    background-position: top 22px right 30px;
  }

  /* .credential-tab::after {
    content: '';
    position: absolute;
    right: 28px;
    width: 17px;
    height: 17px;
    background-color: #4C95B4;
    border-radius: 50%;
  } */

  .tip {
    position: relative; 
    background-color: #83acea;
    color: white; 
    border-bottom: 1px solid #f5eaea; 
    padding: 20px 80px 20px 20px;
  }

  .cross-icon {
    position: absolute;
    top: calc(50% - 20px);
    right: 15px;
    width: 40px;
    height: 40px;
    background-repeat: no-repeat;
    background-position: center;
  }

  .save-in-history {
    text-align: center;
    color: red;
    margin-top: 5px;
    padding: 20px;
    cursor: pointer;
  }

  span.ripple {
    position: absolute; /* The absolute position we mentioned earlier */
    border-radius: 50%;
    transform: scale(0);
    animation: ripple 600ms linear;
    background-color: rgba(255, 255, 255, 0.7);
  }

  @keyframes ripple {
    to {
      transform: scale(4);
      opacity: 0;
    }
  }
</style>